<definitions targetNamespace="OfficeTalk" xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:ns="OfficeTalk_WSDLOperations" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="OfficeTalk">
	<types>
		<schema targetNamespace="OfficeTalk_WSDLOperations" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:tns="OfficeTalk_WSDLOperations">
			<complexType name="SOAPLogin">
				<sequence>
					<element name="password" type="xsd:string"/>
					<element name="worker" type="xsd:string"/>
				</sequence>
			</complexType>
			<complexType name="CollectionOfSOAPProcessTemplate">
				<sequence>
					<element name="SOAPProcessTemplate" maxOccurs="unbounded" minOccurs="0" type="tns:SOAPProcessTemplate"/>
				</sequence>
			</complexType>
			<complexType name="SOAPLoginException">
				<complexContent>
					<extension base="tns:SOAPException">
						<sequence>
							<element name="messageText" minOccurs="0" type="xsd:string"/>
						</sequence>
					</extension>
				</complexContent>
			</complexType>
			<complexType name="SOAPException"/>
			<complexType name="SOAPEngineInUseException">
				<complexContent>
					<extension base="tns:SOAPException">
						<sequence>
							<element name="messageText" minOccurs="0" type="xsd:string"/>
						</sequence>
					</extension>
				</complexContent>
			</complexType>
			<complexType name="SOAPSchedulerInUseException">
				<complexContent>
					<extension base="tns:SOAPException">
						<sequence>
							<element name="messageText" minOccurs="0" type="xsd:string"/>
						</sequence>
					</extension>
				</complexContent>
			</complexType>
			<complexType name="CollectionOfSOAPProcess">
				<sequence>
					<element name="SOAPProcess" maxOccurs="unbounded" minOccurs="0" type="tns:SOAPProcess"/>
				</sequence>
			</complexType>
			<complexType name="SOAPBadProcessException">
				<complexContent>
					<extension base="tns:SOAPException">
						<sequence>
							<element name="messageText" minOccurs="0" type="xsd:string"/>
						</sequence>
					</extension>
				</complexContent>
			</complexType>
			<complexType name="SOAPBadPermissionException">
				<complexContent>
					<extension base="tns:SOAPException">
						<sequence>
							<element name="messageText" minOccurs="0" type="xsd:string"/>
						</sequence>
					</extension>
				</complexContent>
			</complexType>
			<complexType name="CollectionOfSOAPProcessData">
				<sequence>
					<element name="SOAPProcessData" maxOccurs="unbounded" minOccurs="0" type="tns:SOAPProcessData"/>
				</sequence>
			</complexType>
			<complexType name="SOAPProcessName">
				<sequence>
					<element name="name" type="xsd:string"/>
					<element name="category" type="xsd:string"/>
				</sequence>
			</complexType>
			<complexType name="SOAPProcess">
				<sequence>
					<element name="priority" type="xsd:int"/>
					<element name="runTime" type="xsd:int"/>
					<element name="name" type="tns:SOAPProcessName"/>
					<element name="delay" type="xsd:string"/>
					<element name="description" type="xsd:string"/>
					<element name="currentStep" type="tns:SOAPStep"/>
					<element name="identity" type="xsd:int"/>
					<element name="lifeTime" type="xsd:int"/>
					<element name="additionalName" type="xsd:string"/>
				</sequence>
			</complexType>
			<element name="BadPermission" type="tns:SOAPBadPermissionException"/>
			<complexType name="CollectionOfString">
				<sequence>
					<element name="String" maxOccurs="unbounded" minOccurs="0" type="xsd:string"/>
				</sequence>
			</complexType>
			<element name="BadLogin" type="tns:SOAPLoginException"/>
			<element name="EngineInUse" type="tns:SOAPEngineInUseException"/>
			<element name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"/>
			<element name="BadProcess" type="tns:SOAPBadProcessException"/>
			<complexType name="SOAPProcessTemplate">
				<sequence>
					<element name="name" type="tns:SOAPProcessName"/>
					<element name="worker" minOccurs="0" type="tns:SOAPWorker"/>
					<element name="description" type="xsd:string"/>
					<element name="firstStep" minOccurs="0" type="tns:SOAPStepTemplate"/>
				</sequence>
			</complexType>
			<complexType name="SOAPStep">
				<sequence>
					<element name="name" type="tns:SOAPStepName"/>
					<element name="date" type="xsd:date"/>
					<element name="description" type="xsd:string"/>
					<element name="worker" type="tns:SOAPWorker"/>
					<element name="time" type="xsd:time"/>
				</sequence>
			</complexType>
			<complexType name="SOAPProcessData">
				<sequence>
					<choice minOccurs="0">
						<element name="stringValue" type="xsd:string"/>
						<element name="integerValue" type="xsd:int"/>
						<element name="doubleValue" type="xsd:double"/>
						<element name="floatValue" type="xsd:float"/>
						<element name="booleanValue" type="xsd:boolean"/>
						<element name="dateValue" type="xsd:date"/>
						<element name="timeValue" type="xsd:time"/>
					</choice>
					<element name="group" type="xsd:string"/>
					<element name="item" type="xsd:string"/>
				</sequence>
			</complexType>
			<complexType name="SOAPStepTemplate">
				<sequence>
					<element name="name" type="tns:SOAPStepName"/>
					<element name="estimatedTime" type="xsd:int"/>
					<element name="description" type="xsd:string"/>
					<element name="worker" type="tns:SOAPWorker"/>
				</sequence>
			</complexType>
			<complexType name="SOAPWorker">
				<sequence>
					<element name="name" type="xsd:string"/>
					<element name="loginName" type="xsd:string"/>
					<element name="description" type="xsd:string"/>
					<element name="loginPath" type="xsd:string"/>
				</sequence>
			</complexType>
			<complexType name="SOAPStepName">
				<sequence>
					<element name="name" type="xsd:string"/>
					<element name="category" type="xsd:string"/>
				</sequence>
			</complexType>
		</schema>
	</types>
	<message name="ProcessTemplates">
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="ProcessTemplatesResponse">
		<part name="result" type="ns:CollectionOfSOAPProcessTemplate"/>
	</message>
	<message name="BadLoginFault">
		<part name="BadLogin" element="ns:BadLogin"/>
	</message>
	<message name="EngineInUseFault">
		<part name="EngineInUse" element="ns:EngineInUse"/>
	</message>
	<message name="SchedulerInUseFault">
		<part name="SchedulerInUse" element="ns:SchedulerInUse"/>
	</message>
	<message name="Logout"/>
	<message name="LogoutResponse">
		<part name="result" type="xsd:boolean"/>
	</message>
	<message name="ActiveProcesses">
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="ActiveProcessesResponse">
		<part name="result" type="ns:CollectionOfSOAPProcess"/>
	</message>
	<message name="TakeoverProcesses">
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="TakeoverProcessesResponse">
		<part name="result" type="ns:CollectionOfSOAPProcess"/>
	</message>
	<message name="ExitProcess">
		<part name="processId" type="xsd:int"/>
		<part name="reason" type="xsd:string"/>
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="ExitProcessResponse">
		<part name="result" type="xsd:boolean"/>
	</message>
	<message name="BadProcessFault">
		<part name="BadProcess" element="ns:BadProcess"/>
	</message>
	<message name="BadPermissionFault">
		<part name="BadPermission" element="ns:BadPermission"/>
	</message>
	<message name="ScheduleProcessWithData">
		<part name="processId" type="xsd:int"/>
		<part name="processData" type="ns:CollectionOfSOAPProcessData"/>
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="ScheduleProcessWithDataResponse">
		<part name="result" type="xsd:boolean"/>
	</message>
	<message name="VisibleProcessTemplates">
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="VisibleProcessTemplatesResponse">
		<part name="result" type="ns:CollectionOfSOAPProcessTemplate"/>
	</message>
	<message name="ProcessData">
		<part name="processId" type="xsd:int"/>
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="ProcessDataResponse">
		<part name="result" type="ns:CollectionOfSOAPProcessData"/>
	</message>
	<message name="StartProcessWithData">
		<part name="name" type="ns:SOAPProcessName"/>
		<part name="additionalName" type="xsd:string"/>
		<part name="processData" type="ns:CollectionOfSOAPProcessData"/>
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="StartProcessWithDataResponse">
		<part name="result" type="ns:SOAPProcess"/>
	</message>
	<message name="Exit"/>
	<message name="ExitResponse">
		<part name="result" type="xsd:boolean"/>
	</message>
	<message name="DelegateProcess">
		<part name="processId" type="xsd:int"/>
		<part name="to" type="xsd:string"/>
		<part name="reason" type="xsd:string"/>
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="DelegateProcessResponse">
		<part name="result" type="xsd:boolean"/>
	</message>
	<message name="ScheduleProcess">
		<part name="processId" type="xsd:int"/>
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="ScheduleProcessResponse">
		<part name="result" type="xsd:boolean"/>
	</message>
	<message name="UsedProcessData">
		<part name="name" type="ns:SOAPProcessName"/>
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="UsedProcessDataResponse">
		<part name="result" type="ns:CollectionOfSOAPProcessData"/>
	</message>
	<message name="End"/>
	<message name="EndResponse">
		<part name="result" type="xsd:boolean"/>
	</message>
	<message name="IsLoggedIn">
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="IsLoggedInResponse">
		<part name="result" type="xsd:boolean"/>
	</message>
	<message name="OwnedProcessTemplates">
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="OwnedProcessTemplatesResponse">
		<part name="result" type="ns:CollectionOfSOAPProcessTemplate"/>
	</message>
	<message name="StartProcess">
		<part name="name" type="ns:SOAPProcessName"/>
		<part name="additionalName" type="xsd:string"/>
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="StartProcessResponse">
		<part name="result" type="ns:SOAPProcess"/>
	</message>
	<message name="Login">
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="LoginResponse">
		<part name="result" type="xsd:boolean"/>
	</message>
	<message name="Delegatables">
		<part name="processId" type="xsd:int"/>
		<part name="login" type="ns:SOAPLogin"/>
	</message>
	<message name="DelegatablesResponse">
		<part name="result" type="ns:CollectionOfString"/>
	</message>
	<portType name="OfficeTalkSOAP">
		<operation name="ProcessTemplates" parameterOrder="login">
			<documentation>Answers the pocesstemplates owned by the worker &lt;login&gt; with permission to be worked.</documentation>
			<input message="tns:ProcessTemplates"/>
			<output message="tns:ProcessTemplatesResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
		</operation>
		<operation name="Logout">
			<documentation>Logs the logged in worker out</documentation>
			<input message="tns:Logout"/>
			<output message="tns:LogoutResponse"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
		</operation>
		<operation name="ActiveProcesses" parameterOrder="login">
			<documentation>Answers all active pocesses of the worker &lt;login&gt;</documentation>
			<input message="tns:ActiveProcesses"/>
			<output message="tns:ActiveProcessesResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
		</operation>
		<operation name="TakeoverProcesses" parameterOrder="login">
			<documentation>Answers all takeover pocesses of the worker &lt;login&gt;</documentation>
			<input message="tns:TakeoverProcesses"/>
			<output message="tns:TakeoverProcessesResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
		</operation>
		<operation name="ExitProcess" parameterOrder="processId reason login">
			<documentation>Logs in with &lt;login&gt; and exits the active process &lt;processId&gt; with the given reason</documentation>
			<input message="tns:ExitProcess"/>
			<output message="tns:ExitProcessResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
			<fault name="BadProcess" message="tns:BadProcessFault"/>
			<fault name="BadPermission" message="tns:BadPermissionFault"/>
		</operation>
		<operation name="ScheduleProcessWithData" parameterOrder="processId processData login">
			<documentation>Logs in with &lt;login&gt; and schedules the active process &lt;processId&gt; with &lt;processData&gt;</documentation>
			<input message="tns:ScheduleProcessWithData"/>
			<output message="tns:ScheduleProcessWithDataResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
			<fault name="BadProcess" message="tns:BadProcessFault"/>
			<fault name="BadPermission" message="tns:BadPermissionFault"/>
		</operation>
		<operation name="VisibleProcessTemplates" parameterOrder="login">
			<documentation>Answers all visible pocesstemplates of the the worker &lt;login&gt; with permission to be worked.</documentation>
			<input message="tns:VisibleProcessTemplates"/>
			<output message="tns:VisibleProcessTemplatesResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
		</operation>
		<operation name="ProcessData" parameterOrder="processId login">
			<documentation>Logs in with &lt;login&gt; and gets the processdata of the active process &lt;processId&gt;</documentation>
			<input message="tns:ProcessData"/>
			<output message="tns:ProcessDataResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
			<fault name="BadProcess" message="tns:BadProcessFault"/>
		</operation>
		<operation name="StartProcessWithData" parameterOrder="name additionalName processData login">
			<documentation>Logs in with &lt;login&gt; and starts the process &lt;name&gt; with &lt;additionalName&gt; and &lt;processData&gt;</documentation>
			<input message="tns:StartProcessWithData"/>
			<output message="tns:StartProcessWithDataResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
			<fault name="BadProcess" message="tns:BadProcessFault"/>
			<fault name="BadPermission" message="tns:BadPermissionFault"/>
		</operation>
		<operation name="Exit">
			<documentation>Exits OfficeTalk, is usable for testcases only !</documentation>
			<input message="tns:Exit"/>
			<output message="tns:ExitResponse"/>
		</operation>
		<operation name="DelegateProcess" parameterOrder="processId to reason login">
			<documentation>Logs in with &lt;login&gt; and delegates the process &lt;processId&gt; to the worker &lt;to&gt; with comment &lt;reason&gt;</documentation>
			<input message="tns:DelegateProcess"/>
			<output message="tns:DelegateProcessResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
			<fault name="BadProcess" message="tns:BadProcessFault"/>
			<fault name="BadPermission" message="tns:BadPermissionFault"/>
		</operation>
		<operation name="ScheduleProcess" parameterOrder="processId login">
			<documentation>Logs in with &lt;login&gt; and schedules the active process &lt;processId&gt;</documentation>
			<input message="tns:ScheduleProcess"/>
			<output message="tns:ScheduleProcessResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
			<fault name="BadProcess" message="tns:BadProcessFault"/>
			<fault name="BadPermission" message="tns:BadPermissionFault"/>
		</operation>
		<operation name="UsedProcessData" parameterOrder="name login">
			<documentation>Logs in with &lt;login&gt; and returns the used processdata of the process &lt;name&gt;</documentation>
			<input message="tns:UsedProcessData"/>
			<output message="tns:UsedProcessDataResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="BadProcess" message="tns:BadProcessFault"/>
		</operation>
		<operation name="End">
			<documentation>Ends OfficeTalk</documentation>
			<input message="tns:End"/>
			<output message="tns:EndResponse"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
		</operation>
		<operation name="IsLoggedIn" parameterOrder="login">
			<documentation>Answers wether the worker &lt;login&gt; is logged in</documentation>
			<input message="tns:IsLoggedIn"/>
			<output message="tns:IsLoggedInResponse"/>
		</operation>
		<operation name="OwnedProcessTemplates" parameterOrder="login">
			<documentation>Answers the pocesstemplates owned by the worker &lt;login&gt; with permission to be worked.</documentation>
			<input message="tns:OwnedProcessTemplates"/>
			<output message="tns:OwnedProcessTemplatesResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
		</operation>
		<operation name="StartProcess" parameterOrder="name additionalName login">
			<documentation>Logs in with &lt;login&gt; and starts the process &lt;name&gt; with &lt;additionalName&gt;</documentation>
			<input message="tns:StartProcess"/>
			<output message="tns:StartProcessResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
			<fault name="BadProcess" message="tns:BadProcessFault"/>
			<fault name="BadPermission" message="tns:BadPermissionFault"/>
		</operation>
		<operation name="Login" parameterOrder="login">
			<documentation>Logs in with &lt;login&gt;</documentation>
			<input message="tns:Login"/>
			<output message="tns:LoginResponse"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
		</operation>
		<operation name="Delegatables" parameterOrder="processId login">
			<documentation>Logs in with &lt;login&gt; and answers the workers loginpath, to whome the process &lt;processId&gt; can be delegated</documentation>
			<input message="tns:Delegatables"/>
			<output message="tns:DelegatablesResponse"/>
			<fault name="BadLogin" message="tns:BadLoginFault"/>
			<fault name="EngineInUse" message="tns:EngineInUseFault"/>
			<fault name="SchedulerInUse" message="tns:SchedulerInUseFault"/>
			<fault name="BadProcess" message="tns:BadProcessFault"/>
		</operation>
	</portType>
	<binding name="OfficeTalkSOAP" type="tns:OfficeTalkSOAP">
		<soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="rpc"/>
		<operation name="ProcessTemplates">
			<soap:operation soapAction="OfficeTalk#ProcessTemplates" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
		</operation>
		<operation name="Logout">
			<soap:operation soapAction="OfficeTalk#Logout" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
		</operation>
		<operation name="ActiveProcesses">
			<soap:operation soapAction="OfficeTalk#ActiveProcesses" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
		</operation>
		<operation name="TakeoverProcesses">
			<soap:operation soapAction="OfficeTalk#TakeoverProcesses" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
		</operation>
		<operation name="ExitProcess">
			<soap:operation soapAction="OfficeTalk#ExitProcess" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadProcess" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadPermission" use="literal"/>
			</fault>
		</operation>
		<operation name="ScheduleProcessWithData">
			<soap:operation soapAction="OfficeTalk#ScheduleProcessWithData" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadProcess" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadPermission" use="literal"/>
			</fault>
		</operation>
		<operation name="VisibleProcessTemplates">
			<soap:operation soapAction="OfficeTalk#VisibleProcessTemplates" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
		</operation>
		<operation name="ProcessData">
			<soap:operation soapAction="OfficeTalk#ProcessData" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadProcess" use="literal"/>
			</fault>
		</operation>
		<operation name="StartProcessWithData">
			<soap:operation soapAction="OfficeTalk#StartProcessWithData" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadProcess" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadPermission" use="literal"/>
			</fault>
		</operation>
		<operation name="Exit">
			<soap:operation soapAction="OfficeTalk#Exit" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
		</operation>
		<operation name="DelegateProcess">
			<soap:operation soapAction="OfficeTalk#DelegateProcess" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadProcess" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadPermission" use="literal"/>
			</fault>
		</operation>
		<operation name="ScheduleProcess">
			<soap:operation soapAction="OfficeTalk#ScheduleProcess" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadProcess" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadPermission" use="literal"/>
			</fault>
		</operation>
		<operation name="UsedProcessData">
			<soap:operation soapAction="OfficeTalk#UsedProcessData" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadProcess" use="literal"/>
			</fault>
		</operation>
		<operation name="End">
			<soap:operation soapAction="OfficeTalk#End" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
		</operation>
		<operation name="IsLoggedIn">
			<soap:operation soapAction="OfficeTalk#IsLoggedIn" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
		</operation>
		<operation name="OwnedProcessTemplates">
			<soap:operation soapAction="OfficeTalk#OwnedProcessTemplates" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
		</operation>
		<operation name="StartProcess">
			<soap:operation soapAction="OfficeTalk#StartProcess" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadProcess" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadPermission" use="literal"/>
			</fault>
		</operation>
		<operation name="Login">
			<soap:operation soapAction="OfficeTalk#Login" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
		</operation>
		<operation name="Delegatables">
			<soap:operation soapAction="OfficeTalk#Delegatables" style="rpc"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
			<fault>
				<soap:fault name="BadLogin" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="EngineInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="SchedulerInUse" use="literal"/>
			</fault>
			<fault>
				<soap:fault name="BadProcess" use="literal"/>
			</fault>
		</operation>
	</binding>
	<service name="OfficeTalkSOAP">
		<port name="OfficeTalkSOAP" binding="tns:OfficeTalkSOAP">
			<soap:address location="http://localhost:8889/OfficeTalk"/>
		</port>
	</service>
	<schemaBindings>
		<xmlToSmalltalkBinding targetNamespace="OfficeTalk_WSDLOperations" defaultClassNamespace="Joops.OfficeTalk" xmlns="urn:visualworks:VWSchemaBinding" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:tns="OfficeTalk_WSDLOperations">
			<object name="SOAPLogin" smalltalkClass="SOAPLogin">
				<element name="password" ref="xsd:string"/>
				<element name="worker" ref="xsd:string"/>
			</object>
			<sequence_of name="CollectionOfSOAPProcessTemplate" smalltalkClass="OrderedCollection">
				<element name="SOAPProcessTemplate" maxOccurs="unbounded" minOccurs="0" ref="tns:SOAPProcessTemplate"/>
			</sequence_of>
			<object name="SOAPLoginException" smalltalkClass="SOAPLoginException" baseType="tns:SOAPException" constraint="extension">
				<element name="messageText" minOccurs="0" ref="xsd:string"/>
			</object>
			<object name="SOAPException" smalltalkClass="SOAPException"/>
			<object name="SOAPEngineInUseException" smalltalkClass="SOAPEngineInUseException" baseType="tns:SOAPException" constraint="extension">
				<element name="messageText" minOccurs="0" ref="xsd:string"/>
			</object>
			<object name="SOAPSchedulerInUseException" smalltalkClass="SOAPSchedulerInUseException" baseType="tns:SOAPException" constraint="extension">
				<element name="messageText" minOccurs="0" ref="xsd:string"/>
			</object>
			<sequence_of name="CollectionOfSOAPProcess" smalltalkClass="OrderedCollection">
				<element name="SOAPProcess" maxOccurs="unbounded" minOccurs="0" ref="tns:SOAPProcess"/>
			</sequence_of>
			<object name="SOAPBadProcessException" smalltalkClass="SOAPBadProcessException" baseType="tns:SOAPException" constraint="extension">
				<element name="messageText" minOccurs="0" ref="xsd:string"/>
			</object>
			<object name="SOAPBadPermissionException" smalltalkClass="SOAPBadPermissionException" baseType="tns:SOAPException" constraint="extension">
				<element name="messageText" minOccurs="0" ref="xsd:string"/>
			</object>
			<sequence_of name="CollectionOfSOAPProcessData" smalltalkClass="OrderedCollection">
				<element name="SOAPProcessData" maxOccurs="unbounded" minOccurs="0" ref="tns:SOAPProcessData"/>
			</sequence_of>
			<object name="SOAPProcessName" smalltalkClass="SOAPProcessName">
				<element name="name" ref="xsd:string"/>
				<element name="category" ref="xsd:string"/>
			</object>
			<object name="SOAPProcess" smalltalkClass="SOAPProcess">
				<element name="priority" ref="xsd:int"/>
				<element name="runTime" ref="xsd:int"/>
				<element name="name" ref="tns:SOAPProcessName"/>
				<element name="delay" ref="xsd:string"/>
				<element name="description" ref="xsd:string"/>
				<element name="currentStep" ref="tns:SOAPStep"/>
				<element name="identity" ref="xsd:int"/>
				<element name="lifeTime" ref="xsd:int"/>
				<element name="additionalName" ref="xsd:string"/>
			</object>
			<element name="BadPermission" ref="tns:SOAPBadPermissionException"/>
			<sequence_of name="CollectionOfString" smalltalkClass="OrderedCollection">
				<element name="String" maxOccurs="unbounded" minOccurs="0" ref="xsd:string"/>
			</sequence_of>
			<element name="BadLogin" ref="tns:SOAPLoginException"/>
			<element name="EngineInUse" ref="tns:SOAPEngineInUseException"/>
			<element name="SchedulerInUse" ref="tns:SOAPSchedulerInUseException"/>
			<element name="BadProcess" ref="tns:SOAPBadProcessException"/>
			<object name="SOAPProcessTemplate" smalltalkClass="SOAPProcessTemplate">
				<element name="name" ref="tns:SOAPProcessName"/>
				<element name="worker" minOccurs="0" ref="tns:SOAPWorker"/>
				<element name="description" ref="xsd:string"/>
				<element name="firstStep" minOccurs="0" ref="tns:SOAPStepTemplate"/>
			</object>
			<object name="SOAPStep" smalltalkClass="SOAPStep">
				<element name="name" ref="tns:SOAPStepName"/>
				<element name="date" ref="xsd:date"/>
				<element name="description" ref="xsd:string"/>
				<element name="worker" ref="tns:SOAPWorker"/>
				<element name="time" ref="xsd:time"/>
			</object>
			<object name="SOAPProcessData" smalltalkClass="SOAPProcessData">
				<choiceRelation minOccurs="0" name="value">
					<element name="stringValue" ref="xsd:string"/>
					<element name="integerValue" ref="xsd:int"/>
					<element name="doubleValue" ref="xsd:double"/>
					<element name="floatValue" ref="xsd:float"/>
					<element name="booleanValue" ref="xsd:boolean"/>
					<element name="dateValue" ref="xsd:date"/>
					<element name="timeValue" ref="xsd:time"/>
				</choiceRelation>
				<element name="group" ref="xsd:string"/>
				<element name="item" ref="xsd:string"/>
			</object>
			<object name="SOAPStepTemplate" smalltalkClass="SOAPStepTemplate">
				<element name="name" ref="tns:SOAPStepName"/>
				<element name="estimatedTime" ref="xsd:int"/>
				<element name="description" ref="xsd:string"/>
				<element name="worker" ref="tns:SOAPWorker"/>
			</object>
			<object name="SOAPWorker" smalltalkClass="SOAPWorker">
				<element name="name" ref="xsd:string"/>
				<element name="loginName" ref="xsd:string"/>
				<element name="description" ref="xsd:string"/>
				<element name="loginPath" ref="xsd:string"/>
			</object>
			<object name="SOAPStepName" smalltalkClass="SOAPStepName">
				<element name="name" ref="xsd:string"/>
				<element name="category" ref="xsd:string"/>
			</object>
		</xmlToSmalltalkBinding>
	</schemaBindings>
</definitions>